package com.ruoyi.project.ticket.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ticket.mapper.TPermitFireWorkMapper;
import com.ruoyi.project.ticket.domain.TPermitFireWork;
import com.ruoyi.project.ticket.service.ITPermitFireWorkService;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2022-02-23
 */
@Service
public class TPermitFireWorkServiceImpl implements ITPermitFireWorkService
{
    @Autowired
    private TPermitFireWorkMapper tPermitFireWorkMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param hId 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    @Override
    public TPermitFireWork selectTPermitFireWorkById(Long hId)
    {
        return tPermitFireWorkMapper.selectTPermitFireWorkById(hId);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tPermitFireWork 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TPermitFireWork> selectTPermitFireWorkList(TPermitFireWork tPermitFireWork)
    {
        return tPermitFireWorkMapper.selectTPermitFireWorkList(tPermitFireWork);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param tPermitFireWork 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTPermitFireWork(TPermitFireWork tPermitFireWork)
    {
        return tPermitFireWorkMapper.insertTPermitFireWork(tPermitFireWork);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param tPermitFireWork 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTPermitFireWork(TPermitFireWork tPermitFireWork)
    {
        return tPermitFireWorkMapper.updateTPermitFireWork(tPermitFireWork);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param hIds 需要删除的【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteTPermitFireWorkByIds(Long[] hIds)
    {
        return tPermitFireWorkMapper.deleteTPermitFireWorkByIds(hIds);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param hId 【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteTPermitFireWorkById(Long hId)
    {
        return tPermitFireWorkMapper.deleteTPermitFireWorkById(hId);
    }
}
